API Explorer 935 endpoints

Get System Views

GET /obp/v7.0.0/management/system-views

OBPv6.0.0-getSystemViews Roles: CanGetSystemViews View-SystemView-Custom

Get all system views.

System views are predefined views that apply to all accounts, such as:

  • owner
  • accountant
  • auditor
  • standard

Each view is returned with an allowed_actions array containing all permissions for that view.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (15)
account_id
8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
alias
allowed_actions
bank_id
gh.29.uk
can_grant_access_to_views
can_grant_access_to_views
can_revoke_access_to_views
can_revoke_access_to_views
description
Description of the object. Maximum length is 2000. It can be any characters here.
hide_metadata_if_alias_used
false
is_public
false
is_system
true
metadata_view
view_id
owner
view_name
owner
views
is_firehose
Example success response
{
  "views": [
    {
      "bank_id": "",
      "account_id": "",
      "view_id": "owner",
      "view_name": "Owner",
      "description": "The owner of the account",
      "metadata_view": "owner",
      "is_public": false,
      "is_system": true,
      "is_firehose": false,
      "alias": "private",
      "hide_metadata_if_alias_used": false,
      "can_grant_access_to_views": [
        "owner"
      ],
      "can_revoke_access_to_views": [
        "owner"
      ],
      "allowed_actions": [
        "can_see_transaction_amount",
        "can_see_bank_account_balance"
      ]
    }
  ]
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 getSystemViews Originally /obp/v6.0.0/management/system-views